[Testing Update i686] 2019-06-23 to 29 - Perl 5.30; kernel 3.18 and Steam dropped

This set was a little longer coming to testing due to the Perl 5.30 rebuilds.

Kernel 3.18 has now been dropped.

Lots of other updates too.


Available kernels

Series Version PAE
linux316 3.16.69 No
linux44 4.4.183 No
linux49 4.9.183 No
linux414 4.14.130 No
linux419 4.19.56 Yes

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

Full list is available here. ~650 updated packages.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the "is it ready yet?" poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters

2 Likes

Known issues


Octopi packages are a bit broken


4.19.55 may not boot

BFQ patches were re-enabled after an update. I'll rebuild soon with them removed again.


Known to-do

  • Fix Octopi packages
  • Rebuild kernel 4.19.55 without BFQ patches.
  • Rebuild perl-linux-desktopfiles

My test VM booted fine; please report anything broken.


First batch:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux316            3.16.68-1            3.16.69-1
                    linux316-headers            3.16.68-1            3.16.69-1
                            linux318           3.18.140-1                    -
                    linux318-headers           3.18.140-1                    -
                            linux414           4.14.126-1           4.14.129-1
                    linux414-headers           4.14.126-1           4.14.129-1
                            linux419            4.19.51-2            4.19.55-1
                    linux419-headers            4.19.51-2            4.19.55-1
                             linux44            4.4.181-1            4.4.183-1
                     linux44-headers            4.4.181-1            4.4.183-1
                             linux49            4.9.181-1            4.9.183-1
                     linux49-headers            4.9.181-1            4.9.183-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         btrfs-progs              5.1-1.0            5.1.1-1.0
                                curl           7.65.0-2.0           7.65.1-3.0
                                dbus          1.12.14-1.0          1.12.16-1.0
                           dbus-docs          1.12.14-1.0          1.12.16-1.0
                       device-mapper         2.02.184-4.2         2.02.185-1.0
                              dhcpcd            7.2.1-1.0            7.2.2-1.0
                               glib2           2.60.3-1.0           2.60.4-1.0
                          glib2-docs           2.60.3-1.0           2.60.4-1.0
                               gpgme           1.13.0-1.0           1.13.1-1.0
                                krb5           1.16.2-1.0             1.17-1.0
                                less              530-1.6              551-1.0
                          libarchive            3.3.3-1.3            3.4.0-2.0
                            libevent            2.1.8-2.0           2.1.10-1.0
                             libidn2            2.1.1-2.5            2.2.0-1.0
                             libldap           2.4.47-1.0           2.4.47-3.0
                              libpsl           0.20.2-5.1           0.21.0-1.1
                          libseccomp            2.4.1-2.0            2.4.1-2.1
                       libutil-linux           2.33.2-1.2             2.34-2.0
                           linux-atm            2.5.2-5.7            2.5.2-6.0
                                lvm2         2.02.184-4.0         2.02.185-1.0
                                nano              4.2-1.0              4.3-1.0
                           net-tools 1.60.20180212git-1.1 1.60.20181103git-1.0
                           nfs-utils            2.3.4-1.0            2.4.1-1.0
                            nfsidmap            2.3.4-1.0            2.4.1-1.0
                            openldap           2.4.47-1.0           2.4.47-3.0
                                perl           5.28.2-1.0           5.30.0-3.0
                        python-gpgme           1.13.0-1.0           1.13.1-1.0
                              qgpgme           1.13.0-1.0           1.13.1-1.0
                          util-linux           2.33.2-1.2             2.34-2.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             auracle       r215.4f90e0f-1       r261.342de84-1
                            chromium      75.0.3770.100-0    75.0.3770.100-0.1
                            exo-gtk3             0.12.5-1             0.12.6-1
                             firefox           67.0.4-0.1           67.0.4-0.2
              grub-theme-live-common               18.0-0               18.1-1
             grub-theme-live-manjaro               18.0-0               18.1-1
                  grub-theme-manjaro               18.0-0               18.1-1
                  linux316-acpi_call             1.1.0-67             1.1.0-69
                linux316-broadcom-wl      6.30.223.271-67      6.30.223.271-69
                   linux316-catalyst     1:15.201.1151-67     1:15.201.1151-69
                linux316-ndiswrapper              1.61-67              1.61-69
               linux316-nvidia-340xx           340.107-67           340.107-69
               linux316-nvidia-390xx           390.116-67           390.116-69
                      linux316-r8168           8.047.01-3          8.047.01-69
                  linux316-rt3562sta        2.4.1.1_r4-67        2.4.1.1_r4-69
                linux316-vhba-module           20190410-1          20190410-69
    linux316-virtualbox-host-modules              6.0.8-1             6.0.8-69
                        linux316-zfs              0.8.0-0             0.8.1-69
                  linux318-acpi_call            1.1.0-140                    -
                linux318-broadcom-wl     6.30.223.271-140                    -
                   linux318-catalyst    1:15.201.1151-140                    -
                linux318-ndiswrapper             1.61-140                    -
               linux318-nvidia-340xx          340.107-140                    -
               linux318-nvidia-390xx          390.116-140                    -
                      linux318-r8168           8.047.01-1                    -
                  linux318-rt3562sta       2.4.1.1_r4-140                    -
                        linux318-spl           0.7.13-140                    -
                linux318-vhba-module         20161009-140                    -
   linux318-virtualbox-guest-modules            6.0.8-140                    -
    linux318-virtualbox-host-modules            6.0.8-140                    -
                        linux318-zfs              0.8.0-0                    -
                  linux414-acpi_call            1.1.0-126            1.1.0-129
                   linux414-bbswitch              0.8-126              0.8-129
                linux414-broadcom-wl     6.30.223.271-126     6.30.223.271-129
                linux414-ndiswrapper             1.61-126             1.61-129
               linux414-nvidia-340xx          340.107-126          340.107-129
               linux414-nvidia-390xx          390.116-126          390.116-129
                      linux414-r8168         8.047.01-126         8.047.01-129
                  linux414-rt3562sta       2.4.1.1_r4-126       2.4.1.1_r4-129
                   linux414-tp_smapi             0.41-126             0.41-129
                linux414-vhba-module         20190410-126         20190410-129
   linux414-virtualbox-guest-modules            6.0.8-126            6.0.8-129
    linux414-virtualbox-host-modules            6.0.8-126            6.0.8-129
                        linux414-zfs            0.8.1-126            0.8.1-129
                  linux419-acpi_call             1.1.0-51             1.1.0-55
                   linux419-bbswitch               0.8-51               0.8-55
                linux419-broadcom-wl      6.30.223.271-51      6.30.223.271-55
                linux419-ndiswrapper              1.61-51              1.61-55
               linux419-nvidia-340xx           340.107-51           340.107-55
               linux419-nvidia-390xx           390.116-51           390.116-55
                   linux419-nvidiabl              0.88-51              0.88-55
                      linux419-r8168          8.047.01-51          8.047.01-55
                   linux419-tp_smapi              0.41-51              0.41-55
                linux419-vhba-module          20190410-51          20190410-55
   linux419-virtualbox-guest-modules             6.0.8-51             6.0.8-55
    linux419-virtualbox-host-modules             6.0.8-51             6.0.8-55
                        linux419-zfs             0.8.1-51             0.8.1-55
                   linux44-acpi_call            1.1.0-181            1.1.0-183
                 linux44-broadcom-wl     6.30.223.271-181     6.30.223.271-183
                    linux44-catalyst    1:15.201.1151-180    1:15.201.1151-183
                 linux44-ndiswrapper             1.61-181             1.61-183
                linux44-nvidia-390xx          390.116-181          390.116-183
                       linux44-r8168         8.045.08-180         8.047.01-183
                   linux44-rt3562sta       2.4.1.1_r4-181       2.4.1.1_r4-183
                 linux44-vhba-module         20190410-181         20190410-183
    linux44-virtualbox-guest-modules            6.0.8-181            6.0.8-183
     linux44-virtualbox-host-modules            6.0.8-181            6.0.8-183
                         linux44-zfs            0.8.0-181            0.8.1-183
                   linux49-acpi_call            1.1.0-181            1.1.0-183
                    linux49-bbswitch              0.8-181              0.8-183
                 linux49-broadcom-wl     6.30.223.271-181     6.30.223.271-183
                    linux49-catalyst    1:15.201.1151-180    1:15.201.1151-183
                linux49-nvidia-340xx          340.107-181          340.107-183
                linux49-nvidia-390xx          390.116-181          390.116-183
                       linux49-r8168         8.047.01-181         8.047.01-183
                   linux49-rt3562sta       2.4.1.1_r4-180       2.4.1.1_r4-182
                    linux49-tp_smapi             0.41-181             0.41-183
                 linux49-vhba-module         20190410-181         20190410-183
    linux49-virtualbox-guest-modules            6.0.8-181            6.0.8-183
     linux49-virtualbox-host-modules            6.0.8-181            6.0.8-183
                         linux49-zfs            0.8.0-181            0.8.1-183
                   manjaro-architect             0.9.19-2             0.9.28-1
          manjaro-architect-launcher             0.9.19-2             0.9.28-1
                            qt5-base           5.12.3-2.2           5.12.4-1.1
             qt5-xcb-private-headers           5.12.3-2.2           5.12.4-1.1
                         thunar-gtk3              1.8.6-1              1.8.6-6
                         thunderbird             60.7.2-0           60.7.2-0.1
                    xfce4-panel-gtk3             4.13.5-1             4.13.5-2
                 xfce4-settings-gtk3             4.13.6-1             4.13.6-4
                         xfconf-gtk3             4.13.7-1             4.13.7-2
                      xfdesktop-gtk3             4.13.4-1             4.13.4-3
                          xfwm4-gtk3             4.13.2-1             4.13.2-6
                            zfs-dkms              0.8.0-0              0.8.0-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                           appstream           0.12.6-1.2           0.12.7-1.0
                        appstream-qt           0.12.6-1.2           0.12.7-1.0
                                babl           0.1.62-1.2           0.1.66-1.0
                                bind           9.14.2-1.0           9.14.3-1.0
                          bind-tools           9.14.2-1.0           9.14.3-1.0
                          breeze-gtk           5.15.5-1.0           5.16.1-2.0
                          bubblewrap            0.3.3-1.0            0.3.3-2.0
                              bzflag           2.4.18-1.0           2.4.18-2.0
                          cairo-perl            1.106-6.3            1.106-8.0
                          claws-mail           3.17.3-2.1           3.17.3-4.0
                        cups-filters           1.24.0-1.0           1.25.0-1.0
                                 ell             0.19-1.0             0.20-1.0
                                 exo           0.12.5-1.1           0.12.6-1.0
                               finch           2.13.0-5.1           2.13.0-7.0
                     freecell-solver            5.6.0-1.1           5.10.0-1.0
                       frozen-bubble      2.2.1beta1-12.1      2.2.1beta1-14.0
                         fuse-common            3.5.0-1.1            3.6.1-1.0
                               fuse3            3.5.0-1.1            3.6.1-1.0
                                 git           2.21.0-1.1           2.22.0-1.0
                     glib-networking           2.60.2-1.0           2.60.3-1.0
                           glib-perl            1.328-1.0            1.329-2.0
                       gnome-keyring        1:3.31.91-1.0        1:3.31.91-1.1
               gobject-introspection           1.60.1-1.1           1.60.2-1.0
       gobject-introspection-runtime           1.60.1-1.1           1.60.2-1.0
                             gphoto2           2.5.20-2.1           2.5.23-1.0
                      graphicsmagick           1.3.31-1.1           1.3.31-3.0
                           gtk2-perl          1.24992-2.5          1.24992-4.0
                            harfbuzz            2.5.1-1.0            2.5.2-1.0
                        harfbuzz-icu            2.5.1-1.0            2.5.2-1.0
                               icewm            1.5.4-1.0            1.5.5-1.0
                         imagemagick         7.0.8.48-1.0         7.0.8.49-1.0
                     imagemagick-doc         7.0.8.48-1.0         7.0.8.49-1.0
                               ipset              7.1-1.0              7.2-1.0
                               irssi            1.2.0-2.1            1.2.0-4.0
                         jdk-openjdk        11.0.3.u4-1.0       12.0.1.u12-1.0
                       jdk10-openjdk       10.0.2.u13-1.2       10.0.2.u13-2.0
                        jdk8-openjdk           8.u212-1.0           8.u222-2.0
                         jre-openjdk        11.0.3.u4-1.0       12.0.1.u12-1.0
                jre-openjdk-headless        11.0.3.u4-1.0       12.0.1.u12-1.0
                       jre10-openjdk       10.0.2.u13-1.2       10.0.2.u13-2.0
              jre10-openjdk-headless       10.0.2.u13-1.2       10.0.2.u13-2.0
                        jre8-openjdk           8.u212-1.0           8.u222-2.0
               jre8-openjdk-headless           8.u212-1.0           8.u222-2.0
                                js52           52.9.0-2.0           52.9.0-3.0
                              kismet       2019_05_R2-1.0       2019_05_R2-2.0
                           libbluray            1.1.1-1.1            1.1.2-1.0
                            libevdev            1.6.0-1.1            1.7.0-1.0
                            liblouis            3.9.0-1.1           3.10.0-1.0
                          libmagick6        6.9.10.46-1.0        6.9.10.49-1.0
                           libpano13           2.9.19-2.1           2.9.19-4.0
                            libproxy           0.4.15-8.8          0.4.15-10.0
                           libpurple           2.13.0-5.4           2.13.0-7.0
                           libsigc++           2.10.1-1.0           2.10.2-1.0
                      libsigc++-docs           2.10.1-1.0           2.10.2-1.0
                   libva-mesa-driver           19.0.5-1.0           19.1.0-3.0
                         libwbclient           4.10.4-1.0           4.10.5-1.0
                              libx11            1.6.7-1.0            1.6.8-1.0
                               libxi            1.7.9-2.0           1.7.10-1.0
                              maxima           5.43.0-1.0           5.43.0-2.0
                            mencoder            38139-1.0            38139-1.2
                           mercurial              5.0-1.0            5.0.1-1.0
                                mesa           19.0.5-1.0           19.1.0-3.0
                          mesa-vdpau           19.0.5-1.0           19.1.0-3.0
                             mplayer            38139-1.1            38139-1.2
                               msmtp            1.8.4-1.0            1.8.4-1.1
                           msmtp-mta            1.8.4-1.0            1.8.4-1.1
                                mutt           1.12.0-1.0           1.12.1-1.1
                              mutter           3.32.2-1.03.32.2+11+ga3a97621b-1.0
                            net-snmp              5.8-2.6              5.8-4.0
                                nmap             7.70-3.3             7.70-3.5
                         opencl-mesa           19.0.5-1.0           19.1.0-3.0
                         openjdk-doc        11.0.3.u4-1.0       12.0.1.u12-1.0
                         openjdk-src        11.0.3.u4-1.0       12.0.1.u12-1.0
                       openjdk10-doc       10.0.2.u13-1.2       10.0.2.u13-2.0
                       openjdk10-src       10.0.2.u13-1.2       10.0.2.u13-2.0
                        openjdk8-doc           8.u212-1.0           8.u222-2.0
                        openjdk8-src           8.u212-1.0           8.u222-2.0
                          pango-perl            1.227-9.3           1.227-11.0
                      perl-alien-sdl            1.446-6.0            1.446-8.0
                perl-async-interrupt             1.25-1.0             1.25-3.0
               perl-autovivification             0.18-2.3             0.18-4.0
                     perl-bit-vector              7.4-7.4              7.4-9.0
                          perl-clone             0.41-1.0             0.41-3.0
                 perl-compress-bzip2             2.26-5.2             2.26-7.0
           perl-crypt-openssl-bignum             0.09-1.0             0.09-3.0
           perl-crypt-openssl-random             0.15-2.2             0.15-4.0
              perl-crypt-openssl-rsa             0.31-1.0             0.31-3.0
                    perl-date-simple             3.03-5.2             3.03-7.0
                      perl-dbd-mysql            4.050-2.0            4.050-4.0
                     perl-dbd-sqlite             1.62-1.0             1.62-3.0
                            perl-dbi            1.642-1.0            1.642-3.0
                perl-digest-nilsimsa            0.06-16.2            0.06-18.0
                    perl-digest-sha1            2.13-11.2            2.13-13.0
                             perl-ev             4.25-1.0             4.25-3.0
                           perl-fcgi             0.78-6.2             0.78-8.0
                          perl-guard            1.023-7.4            1.023-9.0
                    perl-html-parser             3.72-6.3             3.72-8.0
                   perl-libintl-perl             1.31-1.0             1.31-3.0
              perl-list-moreutils-xs            0.428-2.1            0.428-4.0
                 perl-locale-gettext             1.07-6.2             1.07-8.0
                     perl-netaddr-ip            4.079-6.1            4.079-8.0
             perl-perlio-utf8-strict            0.007-2.1            0.007-4.0
                            perl-sdl            2.548-1.1            2.548-3.0
                        perl-socket6             0.29-1.0             0.29-3.0
                       perl-sort-key             1.33-5.1             1.33-7.0
               perl-template-toolkit             2.29-1.0             2.29-3.0
                   perl-term-readkey             2.38-1.1             2.38-3.0
                    perl-text-bibtex             0.85-2.1             0.85-4.0
                     perl-text-iconv             1.7-15.1             1.7-17.0
                             perl-tk          804.034-2.1          804.034-4.0
              perl-unicode-linebreak         2018.003-1.0         2018.003-3.0
                     perl-xml-parser             2.44-7.1             2.44-9.0
                      perl-yaml-syck             1.31-1.0             1.31-3.0
                                 php            7.3.6-1.0            7.3.6-1.2
                          php-apache            7.3.6-1.0            7.3.6-1.2
                             php-cgi            7.3.6-1.0            7.3.6-1.2
                           php-dblib            7.3.6-1.0            7.3.6-1.2
                           php-embed            7.3.6-1.0            7.3.6-1.2
                         php-enchant            7.3.6-1.0            7.3.6-1.2
                             php-fpm            7.3.6-1.0            7.3.6-1.2
                              php-gd            7.3.6-1.0            7.3.6-1.2
                            php-imap            7.3.6-1.0            7.3.6-1.2
                            php-intl            7.3.6-1.0            7.3.6-1.2
                            php-odbc            7.3.6-1.0            7.3.6-1.2
                           php-pgsql            7.3.6-1.0            7.3.6-1.2
                          php-phpdbg            7.3.6-1.0            7.3.6-1.2
                          php-pspell            7.3.6-1.0            7.3.6-1.2
                            php-snmp            7.3.6-1.0            7.3.6-1.2
                          php-sodium            7.3.6-1.0            7.3.6-1.2
                          php-sqlite            7.3.6-1.0            7.3.6-1.2
                            php-tidy            7.3.6-1.0            7.3.6-1.2
                             php-xsl            7.3.6-1.0            7.3.6-1.2
                              pidgin           2.13.0-5.4           2.13.0-7.0
                            pipewire            0.2.6-1.00.2.6+1+g37613b67-1.0
                             postfix            3.4.5-2.1            3.4.5-2.3
                          postgresql             11.3-1.0             11.4-1.0
                     postgresql-docs             11.3-1.0             11.4-1.0
                     postgresql-libs             11.3-1.0             11.4-1.0
              postgresql-old-upgrade             10.8-1.0             10.9-1.0
                               poxml          19.04.1-1.0          19.04.2-1.0
                          protobuf-c            1.3.1-2.1            1.3.1-2.2
                            pstoedit             3.73-1.1             3.74-1.0
                             pyside2           5.12.3-1.0           5.12.4-1.0
                       pyside2-tools           5.12.3-1.0           5.12.4-1.0
                         python-lxml            4.3.3-1.1            4.3.4-1.0
                    python-lxml-docs            4.3.3-1.1            4.3.4-1.0
                    python-shiboken2           5.12.3-3.0           5.12.4-1.0
                          python-sip          4.19.17-1.0          4.19.17-1.1
                    python-sip-pyqt5          4.19.17-1.0          4.19.17-1.1
                      python-twisted           19.2.0-1.0           19.2.1-1.0
                        python-wrapt           1.11.1-1.3           1.11.2-1.0
                        python2-lxml            4.3.3-1.1            4.3.4-1.0
                         python2-sip          4.19.17-1.0          4.19.17-1.1
                   python2-sip-pyqt5          4.19.17-1.0          4.19.17-1.1
                     python2-twisted           19.2.0-1.0           19.2.1-1.0
                       python2-wrapt           1.11.1-1.3           1.11.2-1.0
                            qt5-base           5.12.3-2.3           5.12.4-2.0
                     qt5-declarative           5.12.3-1.0           5.12.3-2.1
             qt5-xcb-private-headers           5.12.3-2.3           5.12.4-2.0
                               razor            2.85-11.1            2.85-13.0
                             rrdtool            1.7.1-1.1            1.7.1-3.0
                               samba           4.10.4-1.0           4.10.5-1.0
                                sbcl            1.5.2-1.0            1.5.3-1.0
                           shiboken2           5.12.3-3.0           5.12.4-1.0
                                 sip          4.19.17-1.0          4.19.17-1.1
                           smbclient           4.10.4-1.0           4.10.5-1.0
                            speexdsp           1.2rc3-4.0            1.2.0-1.0
                           syslog-ng           3.20.1-1.0           3.21.1-3.1
                            visualvm            1.4.2-1.0            1.4.3-1.0
                        vulkan-intel           19.0.5-1.0           19.1.0-3.0
                       vulkan-radeon           19.0.5-1.0           19.1.0-3.0
                               whois            5.4.2-1.0            5.4.3-1.1
                          x2goserver          4.1.0.3-1.0          4.1.0.3-3.0
              xf86-input-elographics            1.4.1-8.0            1.4.2-1.0
                              xfconf           4.12.1-5.2           4.12.1-7.0
                        xorg-sessreg            1.1.1-2.0            1.1.2-1.0
                          xorg-xcalc            1.0.7-1.0            1.1.0-1.0
                        zabbix-agent            4.2.1-1.0            4.2.3-1.0
                 zabbix-frontend-php            4.2.1-1.0            4.2.3-1.0
                        zabbix-proxy            4.2.1-1.0            4.2.3-1.0
                       zabbix-server            4.2.1-1.0            4.2.3-1.0
                         http-parser                    -            2.9.2-1.2
                       pipewire-docs                    -0.2.6+1+g37613b67-1.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
         python-jade-application-kit              2.0.2-1              2.0.5-2
                                 yay            9.2.0-1.0            9.2.1-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-220.0          1.1.0-226.0
                                 apm            2.2.3-2.0            2.3.1-1.0
                            apparmor           2.13.2-2.1           2.13.3-2.0
                               arcus            4.0.0-1.0            4.1.0-1.0
                            backuppc            4.3.0-2.1            4.3.0-4.0
                             bladerf            2.0.2-1.0            2.2.0-1.0
                         broadcom-wl   6.30.223.271-107.0   6.30.223.271-113.0
                             buildah            1.8.2-1.0            1.9.0-1.0
                            calcurse            4.4.0-1.0            4.5.0-1.0
                             chicken            5.0.0-2.1            5.1.0-1.0
                             ckermit          9.0.302-7.0          9.0.302-7.1
                          clementine           1.3.1-21.01.3.1.r702.3b76fa627-2.0
                                cmst       2019.01.13-1.0       2019.01.13-1.2
                         cni-plugins            0.7.5-1.1            0.8.1-1.0
                          cockatrice            2.7.0-2.1            2.7.1-1.0
                         coin-or-cbc           2.10.2-1.1           2.10.3-1.0
                         coin-or-clp           1.17.2-1.1           1.17.3-1.0
                            collectd            5.8.1-4.1            5.9.0-1.0
                              conmon          1:0.2.0-1.0          1:0.3.0-1.0
                             connman             1.36-2.1             1.37-2.0
                          containerd            1.2.6-1.1            1.2.7-1.0
                          cozy-stack          1:1.2.7-1.0          1:1.2.8-1.0
                             crystal           0.28.0-1.1           0.29.0-1.0
                              csound           6.12.2-7.2           6.12.2-8.0
                          csound-doc           6.12.2-7.2           6.12.2-8.0
                            csoundqt            0.9.5-7.1            0.9.5-7.2
                  deepin-screensaver            0.0.8-1.0            0.0.9-1.0
                                 dep            0.5.3-1.0            0.5.4-1.0
                          displaycal          3.8.1.1-1.0          3.8.2.0-1.0
                        dnssec-tools            2.2.3-3.0            2.2.3-5.0
                             drumkv1            0.9.7-1.0            0.9.8-1.0
                            dscanner            0.7.0-3.0            0.7.2-1.0
                                dumb            2.0.3-1.3            2.0.3-2.0
                                dune           1.10.0-1.0           1.10.0-2.0
                           duplicity         0.7.18.2-1.5           0.7.19-2.0
                             e-antic            0.1.2-1.1            0.1.3-1.0
                            ecasound           2.9.1-13.4            2.9.2-1.0
                          emscripten          1.38.32-1.0          1.38.36-1.0
                               epic4           2.10.7-1.1           2.10.7-3.0
                          erlang-nox           22.0.1-1.0           22.0.2-1.0
                                fasm          1.73.08-1.1          1.73.08-1.3
                              faudio            19.05-1.0         19.06.07-1.0
                            fcgiwrap            1.1.0-5.0            1.1.0-6.0
                           fcitx-qt5            1.2.3-7.0            1.2.3-8.0
                        fflas-ffpack            2.3.2-1.1            2.4.3-1.0
                            firejail         0.9.58.2-1.0           0.9.60-1.0
                          freeradius           3.0.19-1.0           3.0.19-3.0
                             freerdp      1:2.0.0_rc4-4.0      1:2.0.0_rc4-6.0
                                 gap           4.10.1-4.1           4.10.2-1.0
                             gap-doc           4.10.1-4.1           4.10.2-1.0
                        gap-packages           4.10.1-4.1           4.10.2-1.0
                              gauche            0.9.7-1.0            0.9.8-1.0
                             gif2png           2.5.13-1.1           2.5.14-1.0
                              giggle              0.7-9.1             0.7-10.0
                       gitlab-gitaly           1.42.0-1.0           1.48.0-1.0
                        gitlab-shell          2:9.1.0-1.0          2:9.3.0-1.0
                              givaro            4.1.0-1.0            4.1.1-1.0
                        glew-wayland            2.1.0-2.1            2.1.0-3.0
                     gnome-subtitles            1.4.2-2.1              1.5-1.0
                              gnunet           0.11.1-1.1           0.11.5-1.0
                          gnunet-gtk           0.11.0-1.1           0.11.0-2.0
                          googlemaps         20180602-5.0         20180602-6.0
                                gost            2.7.2-2.1            2.8.1-1.0
                            gpsbabel            1.5.4-5.2            1.6.0-1.0
                              gpxsee              7.5-1.1              7.9-1.0
                                grim            1.1.0-2.1            1.2.0-2.0
                gst-editing-services           1.14.4-1.1           1.16.0-1.0
                      gst-transcoder           1.14.1-1.2           1.16.0-1.0
                     gtksourceviewmm         1:3.18.0-3.2         1:3.18.0-4.0
                              hamlib              3.3-1.0              3.3-3.0
                            hardlink            0.3.0-2.0            0.3.2-1.0
                             hexchat           2.14.2-1.1           2.14.2-3.0
                              hidapi         0.8.0rc1-3.2            0.9.0-1.0
                              imvirt            0.9.6-4.1            0.9.6-6.0
                                 inn            2.6.3-1.1            2.6.3-3.0
                        intel-gmmlib           19.2.1-1.0           19.2.2-1.0
                  intel-opencl-clang          8.0.0.1-1.1            8.0.1-1.0
                                kbfs            4.0.0-1.0            4.1.0-1.0
                              kcptun         20190515-1.0         20190611-1.0
                           keepassxc            2.4.2-1.0            2.4.3-1.0
                             keybase            4.0.0-1.0            4.1.0-1.0
                               kitty           0.14.1-1.0           0.14.2-1.0
                             kubectl           1.14.2-1.0           1.15.0-1.0
                          leatherman            1.6.0-1.0            1.7.0-1.0
                      libcurl-compat           7.65.0-2.0           7.65.1-1.1
                      libcurl-gnutls           7.65.0-2.0           7.65.1-1.1
                             libdsme           0.64.1-2.2           0.66.1-1.0
                            libdwarf         20190505-1.0         20190529-1.0
                           libgovirt0.3.4+45+g46288e8-1.2            0.3.6-1.0
                       libmicrohttpd           0.9.63-1.2           0.9.64-1.0
                            liboping           1.10.0-5.2           1.10.0-7.0
                           libosinfo            1.4.0-2.0            1.5.0-1.0
                            libqtxdg            3.3.1-3.0            3.3.1-4.0
                          libsavitar            4.0.0-1.0            4.1.0-1.0
                         libunibreak              4.1-1.0              4.2-1.0
                               lldpd            1.0.3-2.2            1.0.4-1.0
                                llpp  30.r63.gcf119d0-1.0               31-1.0
                                lmms         1.2.0rc8-3.0            1.2.0-1.0
                              marisa            0.2.5-3.3            0.2.5-5.0
                          mate-utils           1.22.1-1.0           1.22.1-2.0
                        matterbridge           1.14.4-1.0           1.15.0-1.0
                          metasploit           5.0.26-1.0           5.0.28-1.0
                            minikube            1.1.0-1.0            1.1.1-1.0
                               minio       2019.05.23-1.0       2019.06.19-1.0
                            minitube              2.9-3.2              3.1-1.0
                      mongo-c-driver           1.14.0-2.1           1.14.0-3.0
                             moosefs          3.0.104-1.0          3.0.105-1.0
                           mosquitto            1.6.2-1.0            1.6.3-1.0
                              murmur         1.3.0rc1-4.0         1.3.0rc1-5.0
                           musescore            3.0.5-2.0              3.1-1.0
           networkmanager-strongswan            1.4.4-3.0            1.4.5-1.0
                                 nsd           4.1.27-1.0            4.2.0-1.0
                            openipmi           2.0.27-1.0           2.0.27-3.0
                     osinfo-db-tools            1.4.0-1.0            1.5.0-1.0
                               osmid            0.6.1-2.1            0.6.7-1.0
                             padthv1            0.9.7-1.0            0.9.8-1.0
                             pam-u2f            1.0.7-2.1            1.0.8-2.0
                           pcsc-perl           1.4.14-8.2          1.4.14-10.0
                             pcurses                4-8.0                5-1.0
                     perl-berkeleydb             0.55-6.3             0.55-8.0
                  perl-cairo-gobject            1.004-7.3            1.004-9.0
                  perl-class-load-xs             0.10-5.3             0.10-7.0
              perl-class-methodmaker             2.24-6.2             2.24-8.0
                  perl-convert-uulib              1.5-5.4              1.5-7.0
                 perl-crypt-blowfish             2.14-8.3            2.14-10.0
                      perl-crypt-des             2.07-8.2            2.07-10.0
              perl-crypt-openssl-dsa             0.19-6.3             0.19-8.0
                         perl-curses             1.36-5.2             1.36-7.0
               perl-data-messagepack             1.00-2.0             1.00-4.0
            perl-data-structure-util             0.16-7.3             0.16-9.0
                      perl-data-uuid            1.221-5.2            1.221-7.0
                       perl-datetime             1.51-1.0             1.51-3.0
        perl-datetime-format-builder           0.8100-4.2           0.8100-6.0
                       perl-dbd-odbc             1.60-1.0             1.60-3.0
                         perl-dbd-pg            3.8.0-1.0            3.8.0-3.0
                    perl-dbd-sqlite2             0.38-1.0             0.38-3.0
                     perl-dbd-sybase             1.16-2.2             1.16-4.0
                     perl-devel-leak             0.03-7.2             0.03-9.0
              perl-device-serialport            1.04-12.2            1.04-14.0
                    perl-file-rsyncp             0.74-7.2             0.74-9.0
                     perl-filesys-df             0.92-8.2            0.92-10.0
            perl-function-parameters         2.001003-1.0         2.001003-3.0
                           perl-fuse           0.16.1-8.2          0.16.1-10.0
                             perl-gd             2.70-1.0             2.70-3.0
      perl-glib-object-introspection            0.044-2.3            0.047-3.0
                         perl-gssapi            0.28-14.3            0.28-16.0
                     perl-html-strip             2.10-5.2             2.10-7.0
                     perl-image-sane             0.14-2.2             0.14-4.0
                    perl-inline-java             0.58-6.1             0.58-8.0
                      perl-io-dirent            0.05-10.4            0.05-12.0
                         perl-io-tty             1.12-7.2             1.12-9.0
                        perl-json-xs              4.0-1.0              4.0-3.0
                         perl-lchown             1.01-9.1            1.01-11.0
                      perl-linux-pid            0.04-10.1            0.04-12.0
              perl-mail-box-parser-c            3.008-5.3            3.008-7.0
             perl-mail-transport-dbx            0.07-16.2            0.07-18.0
                         perl-marisa            0.2.5-3.3            0.2.5-5.0
                          perl-mouse            2.5.6-1.1            2.5.6-3.0
                       perl-net-dbus            1.1.0-7.2            1.1.0-9.0
                    perl-net-dns-sec             1.13-1.0             1.13-4.0
                     perl-net-libidn            0.12-15.0            0.12-17.0
               perl-package-stash-xs             0.29-1.0             0.29-3.0
                      perl-padwalker              2.3-2.2              2.3-4.0
                perl-params-classify            0.015-1.0            0.015-3.0
                    perl-params-util             1.07-9.1            1.07-11.0
                perl-params-validate             1.29-2.1             1.29-4.0
           perl-pkgconfig-libpkgconf             0.10-1.0             0.10-3.0
              perl-proc-processtable             0.56-1.0             0.58-1.0
              perl-scalar-list-utils             1.50-2.1             1.50-4.0
                   perl-string-crc32              1.7-1.0              1.7-3.0
                   perl-sub-identify             0.14-5.2             0.14-7.0
                       perl-sub-name             0.21-5.1             0.21-7.0
              perl-term-readline-gnu             1.36-1.0             1.36-3.0
                 perl-test-leaktrace             0.16-4.1             0.16-6.0
                 perl-text-charwidth            0.04-16.2            0.04-18.0
                    perl-text-kakasi            2.04-17.1            2.04-19.0
                   perl-text-soundex             3.05-5.1             3.05-7.0
               perl-tie-hash-indexed            0.05-16.2            0.05-18.0
                 perl-tk-tablematrix            1.23-19.2            1.23-21.0
                    perl-unix-syslog             1.1-11.2             1.1-13.0
                 perl-variable-magic             0.62-2.1             0.62-4.0
                       perl-www-curl             4.17-8.2            4.17-10.1
                   perl-yaml-libyaml             0.75-1.0             0.75-4.0
                            pgadmin4              4.7-1.0              4.8-1.0
                         php-mongodb            1.5.3-5.0            1.5.5-1.0
                              podman            1.3.0-1.0            1.4.1-1.0
                       podman-docker            1.3.0-1.0            1.4.1-1.0
                                pork        0.99.8.1-16.1        0.99.8.1-18.0
                             puzzles         20171029-1.1         20190415-1.0
                         python-apsw           3.27.2-1.1           3.28.0-1.0
                     python-autobahn           19.5.1-1.0           19.6.1-1.0
                       python-bcrypt            3.1.6-1.3            3.1.7-1.0
                      python-gphoto2            1.9.0-1.0            2.0.0-1.0
                    python-jellyfish            0.7.1-1.0            0.7.2-1.0
                  python-levenshtein           0.12.0-5.5           0.12.0-6.0
                       python-peewee            3.9.5-1.0            3.9.6-1.0
                        python-prctl              1.7-2.4              1.7-3.0
                       python-psutil            5.6.2-1.0            5.6.3-1.0
                     python-psycopg2            2.8.2-1.0            2.8.3-1.0
                   python-pynormaliz              2.7-1.0              2.8-1.0
                  python-pyotherside            1.5.3-2.3            1.5.4-1.0
                    python-rapidjson            0.7.1-1.0            0.7.2-1.0
                    python-reportlab           3.5.13-1.3           3.5.23-1.0
                  python-ruamel-yaml          0.15.96-1.0          0.15.97-1.0
                 python-scikit-learn           0.20.3-1.1           0.21.2-1.0
                   python-sqlalchemy            1.3.4-1.0            1.3.5-1.0
                       python-traits            5.0.0-2.1            5.1.1-1.0
                       python-ubjson           0.13.0-1.0           0.14.0-1.0
                     python-unrardll            0.1.3-4.4            0.1.4-1.0
                         python-yaml             3.13-2.4              5.1-1.0
                        python2-apsw           3.27.2-1.1           3.28.0-1.0
                      python2-bcrypt            3.1.6-1.3            3.1.7-1.0
                      python2-marisa            0.2.5-3.3            0.2.5-5.0
                      python2-psutil            5.6.2-1.0            5.6.3-1.0
                    python2-psycopg2            2.8.2-1.0            2.8.3-1.0
                     python2-pybox2d          1:2.3.2-1.5          1:2.3.2-2.0
                  python2-pynormaliz              2.7-1.0              2.8-1.0
                 python2-qpid-proton           0.26.0-1.3           0.28.0-1.0
                   python2-reportlab           3.5.13-1.3           3.5.23-1.0
                  python2-sqlalchemy            1.3.4-1.0            1.3.5-1.0
                    python2-unrardll            0.1.3-4.4            0.1.4-1.0
                        python2-yaml             3.13-2.4              5.1-1.0
                                qcad         3.22.1.0-1.0         3.22.1.2-1.0
                                qmmp            1.3.2-1.0            1.3.3-1.0
                            qpdfview      0.4.18beta1-1.0      0.4.18beta1-2.0
                         qpid-proton           0.26.0-1.3           0.28.0-1.0
                    qt5-styleplugins  5.0.0.20170311-13.0  5.0.0.20170311-14.0
                              qt5pas       2.6.r60525-1.2       2.6.r61322-1.0
                              raylib            2.0.0-3.1            2.5.0-1.0
                            rdesktop            1.8.5-1.0            1.8.6-1.0
                            rt-tests              1.3-1.3              1.4-1.0
                          rubberband            1.8.2-1.2            1.8.2-2.0
                         ruby-marisa            0.2.5-3.3            0.2.5-5.0
                        ruby-msgpack           1.2.10-1.0            1.3.0-1.0
                             samplv1            0.9.7-1.0            0.9.8-1.0
                               sassc            3.5.0-2.0            3.6.1-1.0
                   shadowsocks-libev            3.2.5-1.0            3.3.0-1.0
                      shairport-sync            3.2.2-2.0            3.3.1-1.0
                              shards            0.8.1-1.1            0.9.0-1.0
                             shotcut         19.04.30-1.0         19.06.15-1.0
                               sigil           0.9.13-1.0           0.9.14-1.0
                                 sk1         1:2.0rc3-3.0         1:2.0rc4-3.0
                              skopeo           0.1.36-1.0           0.1.37-1.0
                               smlnj           110.87-1.0           110.90-1.0
                              smtube          18.11.0-1.1           19.6.0-1.0
                                 sox           14.4.2-4.1           14.4.2-5.0
                           sqlcipher            4.1.0-1.0            4.2.0-1.0
                            sshguard            2.3.1-1.0            2.4.0-1.0
                                sssd            2.1.0-1.2            2.2.0-1.0
                             stunnel             5.52-1.0             5.54-1.0
                       sugar-artwork            0.113-2.1            0.114-1.0
                     sugar-datastore            0.113-1.1            0.114-1.0
                                sway            1.1.1-1.0            1.1.1-3.0
                              swaybg              1.0-2.0              1.0-3.0
                            swayidle              1.3-1.0              1.3-2.0
                            swaylock              1.4-1.0              1.4-2.0
                          swi-prolog            8.0.1-1.0            8.0.3-1.0
                           syncthing            1.1.3-1.0            1.1.4-1.0
                  syncthing-relaysrv            1.1.3-1.0            1.1.4-1.0
                             synthv1            0.9.7-1.0            0.9.8-1.0
                             sysstat           12.1.4-1.0           12.1.5-1.0
                                tcsh          6.20.00-2.0          6.21.00-1.0
                    telegram-desktop            1.7.3-1.0            1.7.7-2.0
                           terraform           0.12.0-1.0           0.12.2-1.0
                            tigervnc            1.9.0-1.1            1.9.0-2.0
                                 tor          0.3.5.8-1.0          0.4.0.5-1.0
                             umurmur          0.2.17-13.1          0.2.17-14.0
                             unbound            1.9.1-1.0            1.9.2-1.0
                               units             2.18-3.0             2.19-1.0
                                 urh            2.6.0-1.0            2.7.0-1.0
                               v2ray           4.18.0-1.0           4.19.1-1.0
          vapoursynth-plugin-mvtools               20-1.2               21-1.0
                                 vym           2.6.11-1.3            2.7.1-1.0
                                wabt            1.0.8-1.0           1.0.11-1.0
                           wallutils            5.8.0-1.0            5.8.1-1.0
                              waybar            0.6.7-1.0            0.6.9-1.0
                             weechat              2.4-1.0              2.5-1.0
                                wine              4.9-1.0             4.10-1.0
                        wine-staging              4.9-1.0             4.10-1.0
                            workrave          1.10.31-1.0          1.10.34-1.0
                               xapps            1.4.5-1.6            1.4.6-1.0
                                xchm             1.28-1.0             1.30-1.0
                         xsecurelock            1.3.1-1.1            1.4.0-1.0
                             zathura            0.4.3-1.0            0.4.3-2.0
                                zimg              2.8-1.0            2.9.1-1.0
                                grpc                    -           1.21.1-2.0
                            grpc-cli                    -           1.21.1-2.0
                          inspectrum                    -            0.2.2-1.0
                          liquid-dsp                    -            1.3.1-1.0
                   liquid-dsp-sse4.1                    -            1.3.1-1.0
                            php-grpc                    -           1.21.1-2.0

The qt5-base update breaks sddm and lxqt.
I will wait with the update until both are rebuild against qt-base 5.12.4

1 Like

Kernel 4.19.55-1 (which still shows as 4.19.16-1 in MSM) will not boot. No messages or logs, it just causes my laptop to reboot. If it helps, I have noticed that it gets as far as the WiFi LED coming on before it reboots.

Kernel 4.14.129-1 starts OK.

inxi -Fxxxz

System: Host: Laptop1 Kernel: 4.14.129-1-MANJARO i686 bits: 32 compiler: gcc v: 8.3.0 Desktop: N/A wm: xfwm4
dm: LightDM 1.28.0 Distro: Manjaro Linux
Machine: Type: Laptop System: Acer product: Aspire 5610 v: V3.60 serial: Chassis: type: 10 serial:
Mobo: Acer model: Grapevine serial: BIOS: Acer v: 3.60 date: 08/12/2008
Battery: ID-1: BAT1 charge: 504.4 Wh condition: 504.4/44.4 Wh (1136%) volts: 12.2/11.1 model: SONY GC86503SY90
type: Li-ion serial: N/A status: Full
CPU: Topology: Dual Core model: Intel T2050 bits: 32 type: MCP arch: M Yonah rev: 8 L2 cache: 2048 KiB
flags: nx pae sse sse2 sse3 bogomips: 6387
Speed: 798 MHz min/max: 800/1600 MHz Core speeds (MHz): 1: 798 2: 798
Graphics: Device-1: Intel Mobile 945GM/GMS 943/940GML Express Integrated Graphics vendor: Acer Incorporated ALI
driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:27a2
Display: x11 server: X.org 1.20.5 driver: intel unloaded: modesetting alternate: fbdev,vesa
resolution:
OpenGL: renderer: Mesa DRI Intel 945GM x86/MMX/SSE2 v: 1.4 Mesa 19.1.0 direct render: Yes
Audio: Device-1: Intel NM10/ICH7 Family High Definition Audio vendor: Acer Incorporated ALI driver: snd_hda_intel
v: kernel bus ID: 00:1b.0 chip ID: 8086:27d8
Sound Server: ALSA v: k4.14.129-1-MANJARO
Network: Device-1: Intel PRO/Wireless 3945ABG [Golan] Network driver: iwl3945 v: in-tree:s port: 5420 bus ID: 05:00.0
chip ID: 8086:4222
IF: wlp5s0 state: up mac:
Device-2: Broadcom and subsidiaries BCM4401-B0 100Base-TX vendor: Acer Incorporated ALI driver: b44 v: 2.0
port: 5420 bus ID: 06:01.0 chip ID: 14e4:170c
IF-ID-1: eth0 state: up speed: 100 Mbps duplex: full mac:
Drives: Local Storage: total: 74.53 GiB used: 49.06 GiB (65.8%)
ID-1: /dev/sda vendor: Hitachi model: HTS541680J9SA00 size: 74.53 GiB speed: serial:
rev: C70P scheme: GPT
Partition: ID-1: / size: 9.62 GiB used: 6.01 GiB (62.4%) fs: ext4 dev: /dev/sda2
ID-2: /home size: 51.80 GiB used: 42.99 GiB (83.0%) fs: ext4 dev: /dev/sda4
ID-3: swap-1 size: 1.97 GiB used: 68.0 MiB (3.4%) fs: swap dev: /dev/sda5
Sensors: System Temperatures: cpu: 47.0 C mobo: 47.0 C
Fan Speeds (RPM): N/A
Info: Processes: 123 Uptime: 8m Memory: 992.7 MiB used: 596.3 MiB (60.1%) Init: systemd v: 242 Compilers: gcc: 8.3.0
Shell: bash v: 5.0.7 running in: xfce4-terminal inxi: 3.0.34

I have tried to boot without nosplash quiet .
Booting to TTY did not work.

It'll probably be the BFQ patches. They had been updated so I re-enabled them; 4.19.55 booted fine on my text VM (which it didn't before with BFQ) so I though it would be OK for the repo. Obviously not... :disappointed_relieved:

Calibre will not start following this update.

Summary

[keith@Laptop1 ~]$ calibre
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
Cannot mix incompatible Qt library (version 0x50c03) with this library (version 0x50c04)
Aborted (core dumped)

Same problem with qpdfview

Summary

[keith@Laptop1 ~]$ qpdfview
Cannot mix incompatible Qt library (version 0x50c03) with this library (version 0x50c04)
Aborted (core dumped)

More builds to come?

1 Like

Ah, the upstream Qt5 packages are still at 5.12.3, my qt5-base package shouldn't have been uploaded yet.

I've reverted the 5.12.4 version to 5.12.3; please downgrade when the old version reappears.

I literally just told a kubuntu migrating user to switch to testing and update, in order to resolve a kwin issue. :sweat_smile:

That's testing for you. :wink:

1 Like

Updated with pacman. Other than 4.19 not booting, Firefox, adobe Flash and the other stuff I use, works fine for me.

1 Like

I have downgraded Qt5, both calibre and qpdfview are now OK.

Thank you

1 Like

Executable 'keepassxc' requires Qt 5.12.4, found Qt 5.12.3.

The update went fine on unstable and had no issues, apart of the unexpected output:

( 6/18) Warn about old perl modules
WARNING: '/usr/lib/perl5/5.28' contains data from at least 1 packages which will NOT be used by the installed perl interpreter.
 -> Run the following command to get a list of affected packages: pacman -Qqo '/usr/lib/perl5/5.28'
( 7/18) Copy Firefox Distribution Settings
( 8/18) Probing 32-bit GTK3 input method modules...
( 9/18) Updating icon theme caches...
(10/18) pacnew-chaser notify
(11/18) Registering binary formats...
(12/18) Reloading system manager configuration...
(13/18) Creating system user accounts...
(14/18) Creating temporary files...
(15/18) Reloading device manager configuration...
(16/18) Arming ConditionNeedsUpdate...
(17/18) Updating the info directory file...
(18/18) Updating the desktop file MIME type cache...

 michaldybczak  alienware-PC  ~  pacman -Qqo '/usr/lib/perl5/5.28'
perl-linux-desktopfiles

Not sure if I need to do something about it or is it OK or expected?

What does it mean that perl-linux-desktopfiles is affected? How? What does that package do?

Or maybe something has changed between unstable and testing that I should be aware off?

This happens whenever Perl is updated.

The installed Perl library is built for/against 5.28. It needs to be updated/repackaged for 5.30.

Looking at the package, it was built by me almost a year ago, so I suppose I'll rebuild it. :grin:

:smile:, OK, so I guess it's good I called that in. I've been waiting quite long for this testing announcement to ask about it. Now I can delete the note and wait for the rebuild of the said lib.

1 Like
:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               audit            2.8.5-2.0            2.8.5-3.0
             ca-certificates-mozilla             3.44-1.0           3.44.1-1.0
                                 nss             3.44-1.0           3.44.1-1.0
                        python-audit            2.8.5-2.0            2.8.5-3.0
                       python2-audit            2.8.5-2.0            2.8.5-3.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         jdk-openjdk          11.0.3.u7-0                    -
                        jdk8-openjdk         8.u212+b03-0                    -
                         jre-openjdk          11.0.3.u7-0                    -
                jre-openjdk-headless          11.0.3.u7-0                    -
                        jre8-openjdk         8.u212+b03-0                    -
               jre8-openjdk-headless         8.u212+b03-0                    -
                         openjdk-doc          11.0.3.u7-0                    -
                         openjdk-src          11.0.3.u7-0                    -
                        openjdk8-doc         8.u212+b03-0                    -
                        openjdk8-src         8.u212+b03-0                    -
             perl-linux-desktopfiles               0.25-2             0.25-2.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               guile            2.2.4-2.1            2.2.5-1.0
                         jdk-openjdk       12.0.1.u12-1.0       12.0.1.u12-1.1
                       jdk10-openjdk       10.0.2.u13-2.0       10.0.2.u13-2.1
                         jre-openjdk       12.0.1.u12-1.0       12.0.1.u12-1.1
                jre-openjdk-headless       12.0.1.u12-1.0       12.0.1.u12-1.1
                       jre10-openjdk       10.0.2.u13-2.0       10.0.2.u13-2.1
              jre10-openjdk-headless       10.0.2.u13-2.0       10.0.2.u13-2.1
                         openjdk-doc       12.0.1.u12-1.0       12.0.1.u12-1.1
                         openjdk-src       12.0.1.u12-1.0       12.0.1.u12-1.1
                       openjdk10-doc       10.0.2.u13-2.0       10.0.2.u13-2.1
                       openjdk10-src       10.0.2.u13-2.0       10.0.2.u13-2.1
                     pygobject-devel           3.32.1-1.0           3.32.2-1.0
                              python            3.7.3-1.1            3.7.3-2.0
                      python-gobject           3.32.1-1.0           3.32.2-1.0
                     python2-gobject           3.32.1-1.0           3.32.2-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-226.0          1.1.0-227.0
                                aide           0.16.1-1.2           0.16.2-1.0
                         broadcom-wl   6.30.223.271-113.0   6.30.223.271-114.0
                      cinnamon-menus            4.0.0-1.0            4.2.0-1.0
                       gitlab-runner          11.11.2-1.0           12.0.0-1.0
                             notmuch           0.28.4-1.0           0.29.1-1.0
                        notmuch-mutt           0.28.4-1.0           0.29.1-1.0
                     notmuch-runtime           0.28.4-1.0           0.29.1-1.0
                         notmuch-vim           0.28.4-1.0           0.29.1-1.0
                  perl-gtk2-trayicon            0.06-17.3            0.06-19.0
              perl-proc-processtable             0.58-1.0             0.59-1.0
                              podman            1.4.1-1.0            1.4.2-1.0
                       podman-docker            1.4.1-1.0            1.4.2-1.0
                              remind           3.1.15-3.2           3.1.16-1.0
                             stunnel             5.54-1.0             5.55-1.0
                    telegram-desktop            1.7.7-2.0            1.7.9-3.0
                               xapps            1.4.6-1.0            1.4.7-1.0
:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                           keepassxc                    -              2.4.3-0

Uh, just noticed the thread is about i686 update... I was sure the i686 was not there when I was looking at it... Anyway, my comment above was about the regular architecture update. Sorry for the confusion.